Get a deal
curl --request GET \
--url https://api.morphic.io/api/deals/{deal_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.morphic.io/api/deals/{deal_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.morphic.io/api/deals/{deal_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"stage": "<string>",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"status": "open",
"amount": "<string>",
"currency": "USD",
"probability": 50,
"expected_close_date": "2023-12-25",
"source": "<string>",
"competing_options": [
"<string>"
],
"next_step": "<string>",
"tags": [
"<string>"
],
"notes": "<string>",
"categories": [
"<string>"
],
"contact_ids": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"assigned_to_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"closed_at": "2023-11-07T05:31:56Z",
"lost_reason": "<string>",
"metadata": {},
"enrichment": {},
"enrichment_provider": "<string>",
"enrichment_last_updated": "2023-11-07T05:31:56Z",
"enrichment_status": "<string>",
"company_id": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"custom_fields": {},
"is_favorite": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Deals
Get a deal
Retrieve a specific deal by ID.
GET
/
api
/
deals
/
{deal_id}
Get a deal
Authorizations
API key (sk_xxx) from Developer Settings. No X-Account-ID needed.
Headers
Path Parameters
Response
Successful Response
Required string length:
1 - 255Pipeline stage (e.g., qualification, negotiation, closed_won)
Deal status (open, won, lost)
Maximum string length:
3Required range:
0 <= x <= 100Associated contacts with id and name
Show child attributes
Show child attributes
Company with id and name
Show child attributes
Show child attributes
Whether this record is favorited by the current user